# Generated by Django 2.2.5 on 2019-10-31 19:13

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Curso',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('año', models.PositiveSmallIntegerField(help_text='Ingrese el año del curso', validators=[django.core.validators.MaxValueValidator(6), django.core.validators.MinValueValidator(1)], verbose_name='Año del curso:')),
                ('division', models.PositiveSmallIntegerField(help_text='Ingrese la división del curso', validators=[django.core.validators.MaxValueValidator(7), django.core.validators.MinValueValidator(1)], verbose_name='Division del curso')),
            ],
            options={
                'verbose_name_plural': 'Cursos',
            },
        ),
        migrations.CreateModel(
            name='Horario',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('desde', models.TimeField(blank=True, help_text='Ingrese el horario que comienza el bloque', null=True, verbose_name='Comienzo de bloque')),
                ('hasta', models.TimeField(blank=True, help_text='Ingrese el horario en el que finaliza el bloque', null=True, verbose_name='Término del bloque')),
            ],
            options={
                'verbose_name_plural': 'Horarios',
            },
        ),
        migrations.CreateModel(
            name='Materia',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(help_text='Ingrese el nombre de la materia.', max_length=60, unique=True, verbose_name='Nombre de materia')),
            ],
            options={
                'verbose_name_plural': 'Materias',
            },
        ),
        migrations.CreateModel(
            name='Material',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nombre', models.CharField(help_text='Ingrese el nombre del material', max_length=50, verbose_name='Nombre del material')),
            ],
            options={
                'verbose_name_plural': 'Materiales',
            },
        ),
        migrations.CreateModel(
            name='Turno',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tipo', models.CharField(help_text='Ingrese si el profesor es de taller o teoría', max_length=50, verbose_name='Turno en el que solicita')),
            ],
            options={
                'verbose_name_plural': 'Turnos',
            },
        ),
        migrations.CreateModel(
            name='Prestamo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fecha', models.DateField(help_text='Ingrese la fecha de reserva dd/mm/aa', verbose_name='Fecha')),
                ('profesor', models.CharField(help_text='Ingrese el nombre y el apellido del profesor', max_length=70, verbose_name='Nombre y apellido del profesor:')),
                ('devolucion', models.BooleanField(default=False)),
                ('curso', models.ForeignKey(help_text='Seleccione el curso al que va el profesor', on_delete=django.db.models.deletion.CASCADE, to='prestamos_profesores.Curso')),
                ('horario', models.ForeignKey(help_text='Seleccione el horario de préstamo', on_delete=django.db.models.deletion.CASCADE, to='prestamos_profesores.Horario')),
                ('materia', models.ForeignKey(help_text='Seleccione la materia que da el profesor', on_delete=django.db.models.deletion.CASCADE, to='prestamos_profesores.Materia')),
                ('material', models.ForeignKey(help_text='Seleccione el material que se va a prestar', on_delete=django.db.models.deletion.CASCADE, to='prestamos_profesores.Material')),
                ('turno', models.ForeignKey(help_text='Seleccione el turno', on_delete=django.db.models.deletion.CASCADE, to='prestamos_profesores.Turno')),
            ],
            options={
                'verbose_name_plural': 'Prestamos',
                'unique_together': {('fecha', 'turno', 'material', 'horario')},
            },
        ),
    ]
